Name:          netsurf
Version:       3.10
Release:       %mkrel 1
Summary:       A lightweight web browser with own layout and rendering engine
Group:         Networking/WWW
URL:           http://www.netsurf-browser.org
Source0:       http://download.netsurf-browser.org/netsurf/releases/source-full/netsurf-all-%{version}.tar.gz
License:       GPLv2

BuildRequires: perl-HTML-Parser
BuildRequires: flex
BuildRequires: bison
BuildRequires: gperf
BuildRequires: vim-enhanced
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(expat)

%description
NetSurf is a lightweight web browser with own layout and rendering engine. 

%prep
%setup -q -n netsurf-all-%{version}
%autopatch -p0

%build
%set_build_flags
%make_build PREFIX=%{_prefix}

%install
%make_install INSTALL_ROOT=%{buildroot} PREFIX=%{_prefix}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Netsurf
Comment=NetSurf is a lightweight Web-browser
Exec=netsurf-gtk2 %U
Icon=networking_www_section
Terminal=false
Type=Application
Categories=Network;WebBrowser;
EOF

%files
%{_bindir}/netsurf-gtk2
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Oct 29 2020 joequant <joequant> 3.10-1.mga8
+ Revision: 1640464
- sync source
- update to 3.10

* Sat Feb 15 2020 umeabot <umeabot> 3.8-2.mga8
+ Revision: 1524088
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Tue Mar 26 2019 daviddavid <daviddavid> 3.8-1.mga7
+ Revision: 1380247
- new version: 3.8

* Sun Sep 23 2018 umeabot <umeabot> 3.7-2.mga7
+ Revision: 1299719
- Mageia 7 Mass Rebuild

* Fri Dec 22 2017 semiletov <semiletov> 3.7-1.mga7
+ Revision: 1183986
- spec fixes
- fixes to spec
- hardcoded desktop file removed
- imported package netsurf

